EcPrecomputation< ECP > Class Template Reference

ECP precomputation. More...

`#include <ecp.h>`

Inheritance diagram for EcPrecomputation< ECP >:

## Public Types

typedef ECP | EllipticCurve
typedef ECP::Point | Element

## Public Member Functions

bool | NeedConversions () const
Element | ConvertIn (const Element &P) const
Element | ConvertOut (const Element &P) const
const AbstractGroup< Element > & | GetGroup () const
Element | BERDecodeElement (BufferedTransformation &bt) const
void | DEREncodeElement (BufferedTransformation &bt, const Element &v) const
void | SetCurve (const ECP &ec)
const ECP & | GetCurve () const

## Detailed Description

### template<>
class EcPrecomputation< ECP >

ECP precomputation.

Definition at line 97 of file ecp.h.

The documentation for this class was generated from the following file:

- ecp.h